"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNativeEventNames = getNativeEventNames;
let nativeEventNames = null;
/**
 * Check MDN events page for details https://developer.mozilla.org/en-US/docs/Web/Events
 *
 * Events sourse:
 * @link https://developer.mozilla.org/en-US/docs/Web/API/BatteryManager
 * @link https://developer.mozilla.org/en-US/docs/Web/API/Document
 * @link https://developer.mozilla.org/en-US/docs/Web/API/Element
 * @link https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement
 * @link https://developer.mozilla.org/en-US/docs/Web/API/HTMLFormElement
 * @link https://developer.mozilla.org/en-US/docs/Web/API/HTMLMediaElement
 * @link https://developer.mozilla.org/en-US/docs/Web/API/MediaRecorder
 * @link https://developer.mozilla.org/en-US/docs/Web/API/Node
 * @link https://developer.mozilla.org/en-US/docs/Web/API/SpeechRecognition
 * @link https://developer.mozilla.org/en-US/docs/Web/API/SVGAnimationElement
 * @link https://developer.mozilla.org/en-US/docs/Web/API/SVGElement
 * @link https://developer.mozilla.org/en-US/docs/Web/API/MediaDevices
 */
function getNativeEventNames() {
    return (nativeEventNames ??
        (nativeEventNames = new Set([
            'abort',
            'afterprint',
            'afterscriptexecute',
            'animationcancel',
            'animationend',
            'animationiteration',
            'animationstart',
            'appinstalled',
            'audioend',
            'audiostart',
            'auxclick',
            'beforeinput',
            'beforeinstallprompt',
            'beforematch',
            'beforeprint',
            'beforescriptexecute',
            'beforetoggle',
            'beforeunload',
            'beforexrselect',
            'beginEvent',
            'blur',
            'cancel',
            'canplay',
            'canplaythrough',
            'change',
            'chargingchange',
            'chargingtimechange',
            'click',
            'compositionend',
            'compositionstart',
            'compositionupdate',
            'contentvisibilityautostatechange',
            'contextmenu',
            'copy',
            'cut',
            'dataavailable',
            'dblclick',
            'devicechange',
            'devicemotion',
            'deviceorientation',
            'deviceorientationabsolute',
            'dischargingtimechange',
            'DOMActivate',
            'DOMContentLoaded',
            'DOMMouseScroll',
            'drag',
            'dragend',
            'dragenter',
            'dragleave',
            'dragover',
            'dragstart',
            'drop',
            'durationchange',
            'emptied',
            'encrypted',
            'end',
            'ended',
            'endEvent',
            'error',
            'focus',
            'focusin',
            'focusout',
            'formdata',
            'fullscreenchange',
            'fullscreenerror',
            'gamepadconnected',
            'gamepaddisconnected',
            'gesturechange',
            'gestureend',
            'gesturestart',
            'gotpointercapture',
            'hashchange',
            'input',
            'keydown',
            'keypress',
            'keyup',
            'languagechange',
            'levelchange',
            'load',
            'loadeddata',
            'loadedmetadata',
            'loadstart',
            'lostpointercapture',
            'message',
            'messageerror',
            'mousedown',
            'mouseenter',
            'mouseleave',
            'mousemove',
            'mouseout',
            'mouseover',
            'mouseup',
            'mousewheel',
            'MozMousePixelScroll',
            'nomatch',
            'offline',
            'online',
            'orientationchange',
            'pagehide',
            'pagereveal',
            'pageshow',
            'pageswap',
            'paste',
            'pause',
            'play',
            'playing',
            'pointercancel',
            'pointerdown',
            'pointerenter',
            'pointerleave',
            'pointerlockchange',
            'pointerlockerror',
            'pointermove',
            'pointerout',
            'pointerover',
            'pointerrawupdate',
            'pointerup',
            'popstate',
            'prerenderingchange',
            'progress',
            'ratechange',
            'readystatechange',
            'rejectionhandled',
            'repeatEvent',
            'reset',
            'resize',
            'result',
            'resume',
            'scroll',
            'scrollend',
            'securitypolicyviolation',
            'seeked',
            'seeking',
            'selectionchange',
            'selectstart',
            'soundend',
            'soundstart',
            'speechend',
            'speechstart',
            'stalled',
            'start',
            'stop',
            'storage',
            'submit',
            'suspend',
            'timeupdate',
            'toggle',
            'touchcancel',
            'touchend',
            'touchmove',
            'touchstart',
            'transitioncancel',
            'transitionend',
            'transitionrun',
            'transitionstart',
            'unhandledrejection',
            'unload',
            'visibilitychange',
            'volumechange',
            'vrdisplayactivate',
            'vrdisplayconnect',
            'vrdisplaydeactivate',
            'vrdisplaydisconnect',
            'vrdisplaypresentchange',
            'waiting',
            'webkitmouseforcechanged',
            'webkitmouseforcedown',
            'webkitmouseforceup',
            'webkitmouseforcewillbegin',
            'wheel',
        ])));
}
